coupang
GET/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/time-frame2609170000

Product list ranging query

# 01

Summary

Product list ranging query

# 02

Details

Available buyer market: Korea, Taiwan

Query a list of products based on creation date/time.

The maximum query range is 10 minutes.

Path

GET/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/time-frame

Example endpoint

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/time-frame?vendorId=A00012345&createdAtFrom=2020-02-19T10:43:30&createdAtTo=2020-02-19T10:50:30

URL API Name

GET_PRODUCTS_BY_TIME_FRAME
# 03

Query parameters

NameTypeDescription
vendorId*string
Seller ID
Unique code issued to Vendor by Coupang
ex) A00012345
createdAtFrom*string
Date/time of starting creating
"yyyy-MM-ddTHH:mm:ss"
ex) 2016-12-28T06:20:00
createdAtTo*string
Date/time of stopping creating
"yyyy-MM-ddTHH:mm:ss"
ex) 2016-12-28T06:20:00
# 04

Response body

Response message

NameTypeDescription
codestring
Result code
SUCCESS/ERROR
messagestring
Result message
dataobject[]
List of product listed
Repeat N times, the number of vendor products
sellerProductId
data[].sellerProductId
integer
Listed Product ID
sellerProductName
data[].sellerProductName
string
Listed Product Name
Search for listed product name. 20 characters or less
displayCategoryCode
data[].displayCategoryCode
number
Display Category Code
vendorId
data[].vendorId
string
Seller ID
Unique code issued to Vendor by Seller
ex) A00012345
saleStartedAt
data[].saleStartedAt
string
Date/time of starting selling
"yyyy-MM-ddTHH:mm:ss"
saleEndedAt
data[].saleEndedAt
string
Date/time of stopping selling
"yyyy-MM-ddTHH:mm:ss"
brand
data[].brand
string
Brand
To be official Korean/English names
statusName
data[].statusName
string
Status name of listed product
Parameter Name Status
IN_REVIEW Under review
SAVED Temporarily saved
APPROVING Awaiting approval
APPROVED Approved
PARTIAL_APPROVED Partially approved
DENIED Approval denied
DELETED Product deleted
Parameter NameStatus
IN_REVIEW
SAVED
APPROVING
APPROVED
PARTIAL_APPROVED
DENIED
DELETED
createdAt
data[].createdAt
string
Date/time of product listing
"yyyy-MM-ddTHH:mm:ss"

Response Example

{
  "code": "SUCCESS",
  "message": "",
  "data": [
    {
      "sellerProductId": 123,
      "sellerProductName": "[인xx] 컴퓨터잡지",
      "displayCategoryCode": null,
      "categoryId": 5555,
      "productId": 3333,
      "vendorId": "A0xxxxx",
      "mdId": "jxxx@",
      "mdName": "박xxx",
      "saleStartedAt": "2015-12-28T06:00:00",
      "saleEndedAt": "2099-01-01T00:00:00",
      "brand": null,
      "statusName": "승인완료",
      "createdAt": "2015-12-28T18:57:34"
    }
  ]
}
# 05

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (check request parameter)

Vendor [A0012345] cannot query a list of products by another vendor [skma***].

Check if the seller ID (vendorId) is correct.

400400 (check request parameter)

It has exceeded the maximum search range. The maximum range is 10 minutes.

Check if the query start date (createdAtFrom) and the end date (createdAtTo) are correct. You can query up to 10 minutes of data.